%define	upstream_name	 Mail-Graph
%define	upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	draw graphical stats for mails/spams
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(GD)
BuildRequires:	perl-GDGraph
BuildRequires:	perl-MIME-tools
BuildRequires:	perl(Date::Calc)
BuildRequires:  perl(Compress::Zlib)
BuildArch:	noarch


%description
This module parses mailbox files in either compressed or uncompressed form and
then generates pretty statistics and graphs about them. Although at first
developed to do spam statistics, it works just fine for normal mail.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc CHANGES CREDITS README TODO
%{perl_vendorlib}/Mail
%{_mandir}/man3*/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.140.0-11.mga10
+ Revision: 2215887
- Mageia 10 Mass Rebuild

* Tue Nov 01 2022 umeabot <umeabot> 0.140.0-10.mga9
+ Revision: 1901175
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.140.0-9.mga8
+ Revision: 1495478
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.140.0-8.mga7
+ Revision: 1269117
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.140.0-7.mga6
+ Revision: 1029501
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.140.0-6.mga6
+ Revision: 945769
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-5.mga5
+ Revision: 742241
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-4.mga5
+ Revision: 685313
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 369418
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 42081
- mageia rebuild
- imported package perl-Mail-Graph


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.140.0-1mdv2010.0
+ Revision: 403841
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.14-8mdv2009.0
+ Revision: 241703
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Jul 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-6mdv2008.0
+ Revision: 46978
- rebuild


* Wed May 03 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.14-5mdk
- Fix According to perl Policy
	- BuildRequires
	- Source URL

* Tue Dec 20 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.14-4mdk
- Add BuildRequires

* Thu Dec 15 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-3mdk
- spec cleanup
- fix buildrequires
- rpmbuildupdate aware
- better URL, summary and description

* Mon Jul 04 2005 Oden Eriksson <oeriksson@mandriva.com> 0.14-2mdk
- rebuild

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.14-1mdk
- 0.14
- drop PREFIX and use %%makeinstall_std
- fix standard-dir-owned-by-package
- cosmetics

* Sun Jul 27 2003 Michael Scherer <scherer.michael@free.fr> 0.10-2mdk
- BuildRequires

* Wed Jul 23 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10-1mdk
- initial cooker contrib.

